package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="运力信息")
public class RmsCapacity implements IBasePO<BigDecimal> {
    /**
     * 主键id(CAPACITY_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal capacityId;

    /**
     * 运力编号(CAPACITY_NUMBER,VARCHAR,32)
     */
    @ApiModelProperty(value="运力编号",required=false)
    private String capacityNumber;

    /**
     * 运力额定载重(CAPACITY_MAX_LOAD,DECIMAL,0)
     */
    @ApiModelProperty(value="运力额定载重",required=false)
    private BigDecimal capacityMaxLoad;

    /**
     * 运力类型ID(CAPACITY_TYPE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="运力类型ID",required=false)
    private BigDecimal capacityTypeId;

    /**
     * 运力状态(0：空闲中、1：运输中:2：待运中:3：维保中)(CAPACITY_STATUS,VARCHAR,32)
     */
    @ApiModelProperty(value="运力状态(0：空闲中、1：运输中:2：待运中:3：维保中)",required=false)
    private BigDecimal capacityStatus;

    /**
     * 承运单位(CARRIER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="承运单位",required=false)
    private BigDecimal carrierId;

    /**
     * 能源名称(CAPACITY_ENERGY_ID,VARCHAR,16)
     */
    @ApiModelProperty(value="能源名称",required=false)
    private String capacityEnergyId;

    /**
     * 可载长度上限(M)(CAPACITY_LEN_VAL,DECIMAL,0)
     */
    @ApiModelProperty(value="可载长度上限(M)",required=false)
    private BigDecimal capacityLenVal;

    /**
     * 可载宽度上限(M)(CAPACITY_WID_VAL,DECIMAL,0)
     */
    @ApiModelProperty(value="可载宽度上限(M)",required=false)
    private BigDecimal capacityWidVal;

    /**
     * 可载高度上限(M)(CAPACITY_HIG_VAL,DECIMAL,0)
     */
    @ApiModelProperty(value="可载高度上限(M)",required=false)
    private BigDecimal capacityHigVal;

    /**
     * 油品代码(CAPACITY_OIL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="油品代码",required=false)
    private BigDecimal capacityOilId;

    /**
     * 油耗(升/100公里)(CAPACITY_FUEL_CONSUMPTION,VARCHAR,16)
     */
    @ApiModelProperty(value="油耗(升/100公里)",required=false)
    private String capacityFuelConsumption;

    /**
     * 是否自有车辆（0：是；1：不是）(CAPACITY_OWNERIS,VARCHAR,32)
     */
    @ApiModelProperty(value="是否自有车辆（0：是；1：不是）",required=false)
    private String capacityOwneris;

    /**
     * 运力是否黑名单（0：是；1：不是）(CAPACITY_BLACKLIST,VARCHAR,32)
     */
    @ApiModelProperty(value="运力是否黑名单（0：是；1：不是）",required=false)
    private String capacityBlacklist;

    /**
     * 备注(MEMO,VARCHAR,128)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 车牌颜色(CAPACITY_CORLOR,VARCHAR,20)
     */
    @ApiModelProperty(value="车牌颜色",required=false)
    private String capacityCorlor;

    /**
     * 是否VIP(CAPACITY_VIP,VARCHAR,20)
     */
    @ApiModelProperty(value="是否VIP",required=false)
    private String capacityVip;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * SSO主键(CAPACITY_SSO_ID,VARCHAR,100)
     */
    @ApiModelProperty(value="SSO主键",required=false)
    private String capacitySsoId;

    /**
     * 行驶证(DRIVER_LICENCE_URL,VARCHAR,100)
     */
    @ApiModelProperty(value="行驶证",required=false)
    private String driverLicenceUrl;

    /**
     * 司机电话(CAPACITY_TEL,VARCHAR,16)
     */
    @ApiModelProperty(value="司机电话",required=false)
    private String capacityTel;

    public String getCapacityTel() {
        return capacityTel;
    }

    public void setCapacityTel(String capacityTel) {
        this.capacityTel = capacityTel;
    }

    public String getCapacitySsoId() {
        return capacitySsoId;
    }

    public void setCapacitySsoId(String capacitySsoId) {
        this.capacitySsoId = capacitySsoId;
    }

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.capacityId;
    }

    @Override
    public void setId(BigDecimal capacityId) {
        this.capacityId = capacityId;
    }

    public BigDecimal getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(BigDecimal capacityId) {
        this.capacityId = capacityId;
    }

    public String getCapacityNumber() {
        return capacityNumber;
    }

    public void setCapacityNumber(String capacityNumber) {
        this.capacityNumber = capacityNumber == null ? null : capacityNumber.trim();
    }

    public BigDecimal getCapacityMaxLoad() {
        return capacityMaxLoad;
    }

    public void setCapacityMaxLoad(BigDecimal capacityMaxLoad) {
        this.capacityMaxLoad = capacityMaxLoad;
    }

    public BigDecimal getCapacityTypeId() {
        return capacityTypeId;
    }

    public void setCapacityTypeId(BigDecimal capacityTypeId) {
        this.capacityTypeId = capacityTypeId;
    }

    public BigDecimal getCapacityStatus() {
        return capacityStatus;
    }

    public void setCapacityStatus(BigDecimal capacityStatus) {
        this.capacityStatus = capacityStatus;
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public String getCapacityEnergyId() {
        return capacityEnergyId;
    }

    public void setCapacityEnergyId(String capacityEnergyId) {
        this.capacityEnergyId = capacityEnergyId == null ? null : capacityEnergyId.trim();
    }

    public String getDriverLicenceUrl() {
        return driverLicenceUrl;
    }

    public void setDriverLicenceUrl(String driverLicenceUrl) {
        this.driverLicenceUrl = driverLicenceUrl;
    }

    public BigDecimal getCapacityLenVal() {
        return capacityLenVal;
    }

    public void setCapacityLenVal(BigDecimal capacityLenVal) {
        this.capacityLenVal = capacityLenVal;
    }

    public BigDecimal getCapacityWidVal() {
        return capacityWidVal;
    }

    public void setCapacityWidVal(BigDecimal capacityWidVal) {
        this.capacityWidVal = capacityWidVal;
    }

    public BigDecimal getCapacityHigVal() {
        return capacityHigVal;
    }

    public void setCapacityHigVal(BigDecimal capacityHigVal) {
        this.capacityHigVal = capacityHigVal;
    }

    public BigDecimal getCapacityOilId() {
        return capacityOilId;
    }

    public void setCapacityOilId(BigDecimal capacityOilId) {
        this.capacityOilId = capacityOilId;
    }

    public String getCapacityFuelConsumption() {
        return capacityFuelConsumption;
    }

    public void setCapacityFuelConsumption(String capacityFuelConsumption) {
        this.capacityFuelConsumption = capacityFuelConsumption == null ? null : capacityFuelConsumption.trim();
    }

    public String getCapacityOwneris() {
        return capacityOwneris;
    }

    public void setCapacityOwneris(String capacityOwneris) {
        this.capacityOwneris = capacityOwneris == null ? null : capacityOwneris.trim();
    }

    public String getCapacityBlacklist() {
        return capacityBlacklist;
    }

    public void setCapacityBlacklist(String capacityBlacklist) {
        this.capacityBlacklist = capacityBlacklist == null ? null : capacityBlacklist.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getCapacityCorlor() {
        return capacityCorlor;
    }

    public void setCapacityCorlor(String capacityCorlor) {
        this.capacityCorlor = capacityCorlor == null ? null : capacityCorlor.trim();
    }

    public String getCapacityVip() {
        return capacityVip;
    }

    public void setCapacityVip(String capacityVip) {
        this.capacityVip = capacityVip == null ? null : capacityVip.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        return "RmsCapacity{" +
                "capacityId=" + capacityId +
                ", capacityNumber='" + capacityNumber + '\'' +
                ", capacityMaxLoad=" + capacityMaxLoad +
                ", capacityTypeId=" + capacityTypeId +
                ", capacityStatus=" + capacityStatus +
                ", carrierId=" + carrierId +
                ", capacityEnergyId='" + capacityEnergyId + '\'' +
                ", capacityLenVal=" + capacityLenVal +
                ", capacityWidVal=" + capacityWidVal +
                ", capacityHigVal=" + capacityHigVal +
                ", capacityOilId=" + capacityOilId +
                ", capacityFuelConsumption='" + capacityFuelConsumption + '\'' +
                ", capacityOwneris='" + capacityOwneris + '\'' +
                ", capacityBlacklist='" + capacityBlacklist + '\'' +
                ", memo='" + memo + '\'' +
                ", insertUsername='" + insertUsername + '\'' +
                ", insertTime=" + insertTime +
                ", updateUsername='" + updateUsername + '\'' +
                ", updateTime=" + updateTime +
                ", insertUpdateRemark='" + insertUpdateRemark + '\'' +
                ", capacityCorlor='" + capacityCorlor + '\'' +
                ", capacityVip='" + capacityVip + '\'' +
                ", deleted=" + deleted +
                ", capacitySsoId='" + capacitySsoId + '\'' +
                ", driverLicenceUrl='" + driverLicenceUrl + '\'' +
                '}';
    }
}